Upload an image to a planet

​

Got a crazy good photo of a planet? Share it with the world!

Path Parameters

  • The ID of the planet to get

Body

application/json

Image to upload

Responses

Request Example for post/planets/{planetId}/image
curl https://galaxy.scalar.com/planets/1/image \
  --request POST \
  --header 'Content-Type: multipart/form-data' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --form 'image=@mars.jpg'
{
  "message": "Image uploaded successfully",
  "imageUrl": "https://cdn.scalar.com/images/8f47c132-9d1f-4f83-b5a4-91db5ee757ab.jpg",
  "uploadedAt": "2024-01-15T14:30:00Z",
  "fileSize": 1048576,
  "mimeType": "image/jpeg"
}